Skip to main content
GET
Get studio retail order

Authorizations

Authorization
string
header
required

Batch Relay scoped API key or an anonymous Test Mode session. Scope names document required capabilities. Anonymous sessions are sandbox-only and do not authorize studio, event, billing, or Live Mode operations.

Headers

X-BatchRelay-Delegated-Authorization
string

Original delegated Clerk OAuth bearer. Go independently verifies signature/current revocation, exact resource audience, allowed OAuth client and action scope. Caller must match attributed API key creator. Never send an unverified subject header.

X-BatchRelay-Client-Surface
string

Untrusted optional analytics hint naming the calling client surface. It never affects authorization, routing, pricing, or behavior.

Required string length: 1 - 100
X-BatchRelay-Client-Version
string

Untrusted optional analytics hint naming the calling client version. It never affects authorization, routing, pricing, or behavior.

Required string length: 1 - 100
X-BatchRelay-Invocation-Mode
string

Untrusted optional analytics hint naming the invocation mode. It never affects authorization, routing, pricing, or behavior.

Required string length: 1 - 100

Path Parameters

studio_id
string
required

Opaque public studio_id. Private Convex IDs are rejected.

order_id
string
required

Opaque public order_id. Private Convex IDs are rejected.

Response

Authoritative Studio result

athletes
object[]
required
buyer
object
required
created_at
number
required
currency
string
required
customer_id
string
required
delivery
object
required
environment_evidence
string
required
id
string
required
line_items
object[]
required
order_code
string
required
outstanding
string[]
required
payment_status
string
required
refunded_cents
integer<int64>
required
status
string
required
studio_id
string
required
total_paid_cents
integer<int64>
required